SMSReports (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.sms.SMSReports interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.sms
Interface SMSReports

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface SMSReports

extends LogicalElement

Report represents a fully defined report that can be run by the SMS Reports. Ref Microsoft SMS 2003 SDK

Naming Rules:
  0="SMSHierarchy,reportID"
Persistable:
  true
Table Name:
  SMSREPORTS
Display Name:
  name

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getCategory()` Category for the report to be used in the SMS Administrator console to filter the list of reports and to provide, along with the subcategory, a report hierarchy.
`java.lang.String` | `getComment()` Further description of the report to be displayed on the property page for the report in the SMS Administrator console.
`java.lang.String` | `getGraphCaption()` Caption for the graph.
`int` | `getGraphType()` If a graph for the report is available, GraphType indicates its type.
`int` | `getGraphXCol()` Column number to be used for the x-axis of the graph.
`int` | `getGraphYCol()` Column number used as the y-axis of the graph.
`boolean` | `getMachineDetail()` This property value is set to TRUE if this is a computer detail report.
`boolean` | `getMachineSource()` This property value is set to TRUE if this report drills through to the computer details page.
`java.lang.String` | `getName()` Name for the report that will be displayed in the SMS Administrator console and on the report itself.
`int` | `getNumPrompts()` The number of prompts given.
`int` | `getRefreshInternal()` Represents the number of seconds (0-60) that should elapse before the report is automatically rerun and the page is refreshed.
`java.lang.String` | `getReportID()` Describes a unique, autogenerated key.example "159"
`java.lang.String` | `getSecurityKey()` Unique automatically generated identifier that is used as the security identifier
`SMSHierarchy` | `getSMSHierarchy()`
`java.lang.String` | `getSQLQuery()` Text of the SQL query that produces the result set of the report.
`boolean` | `getStatusMessageDetailSource()` The source of the message detail.
`java.lang.String` | `getXColLabel()` Caption for the x-axis of the graph.
`java.lang.String` | `getYColLabel()` Caption for the y-axis of the graph.
`boolean` | `hasCategory()`
`boolean` | `hasComment()`
`boolean` | `hasGraphCaption()`
`boolean` | `hasGraphType()`
`boolean` | `hasGraphXCol()`
`boolean` | `hasGraphYCol()`
`boolean` | `hasMachineDetail()`
`boolean` | `hasMachineSource()`
`boolean` | `hasName()`
`boolean` | `hasNumPrompts()`
`boolean` | `hasRefreshInternal()`
`boolean` | `hasReportID()`
`boolean` | `hasSecurityKey()`
`boolean` | `hasSMSHierarchy()`
`boolean` | `hasSQLQuery()`
`boolean` | `hasStatusMessageDetailSource()`
`boolean` | `hasXColLabel()`
`boolean` | `hasYColLabel()`
`void` | `setCategory(java.lang.String x)`
`void` | `setComment(java.lang.String x)`
`void` | `setGraphCaption(java.lang.String x)`
`void` | `setGraphType(int x)`
`void` | `setGraphXCol(int x)`
`void` | `setGraphYCol(int x)`
`void` | `setMachineDetail(boolean x)`
`void` | `setMachineSource(boolean x)`
`void` | `setName(java.lang.String x)`
`void` | `setNumPrompts(int x)`
`void` | `setRefreshInternal(int x)`
`void` | `setReportID(java.lang.String x)`
`void` | `setSecurityKey(java.lang.String x)`
`void` | `setSMSHierarchy(SMSHierarchy x)`
`void` | `setSQLQuery(java.lang.String x)`
`void` | `setStatusMessageDetailSource(boolean x)`
`void` | `setXColLabel(java.lang.String x)`
`void` | `setYColLabel(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getReportID

    java.lang.String getReportID()
                                 throws AttributeNotSetException

  Describes a unique, autogenerated key.example "159"

  Throws:
    `AttributeNotSetException`

### setReportID

    void setReportID(java.lang.String x)

### hasReportID

    boolean hasReportID()

### getSecurityKey

    java.lang.String getSecurityKey()
                                    throws AttributeNotSetException

  Unique automatically generated identifier that is used as the security identifier

  Throws:
    `AttributeNotSetException`

### setSecurityKey

    void setSecurityKey(java.lang.String x)

### hasSecurityKey

    boolean hasSecurityKey()

### getYColLabel

    java.lang.String getYColLabel()
                                  throws AttributeNotSetException

  Caption for the y-axis of the graph.

  Throws:
    `AttributeNotSetException`

### setYColLabel

    void setYColLabel(java.lang.String x)

### hasYColLabel

    boolean hasYColLabel()

### getGraphCaption

    java.lang.String getGraphCaption()
                                     throws AttributeNotSetException

  Caption for the graph. If there is no graph, the value of GraphCaption is NULL.

  Throws:
    `AttributeNotSetException`

### setGraphCaption

    void setGraphCaption(java.lang.String x)

### hasGraphCaption

    boolean hasGraphCaption()

### getGraphXCol

    int getGraphXCol()
                     throws AttributeNotSetException

  Column number to be used for the x-axis of the graph. The value of GraphXCol is NULL if it is not applicable.

  Throws:
    `AttributeNotSetException`

### setGraphXCol

    void setGraphXCol(int x)

### hasGraphXCol

    boolean hasGraphXCol()

### getXColLabel

    java.lang.String getXColLabel()
                                  throws AttributeNotSetException

  Caption for the x-axis of the graph.

  Throws:
    `AttributeNotSetException`

### setXColLabel

    void setXColLabel(java.lang.String x)

### hasXColLabel

    boolean hasXColLabel()

### getGraphYCol

    int getGraphYCol()
                     throws AttributeNotSetException

  Column number used as the y-axis of the graph. The value of GraphYCol is NULL if it is not applicable.

  Throws:
    `AttributeNotSetException`

### setGraphYCol

    void setGraphYCol(int x)

### hasGraphYCol

    boolean hasGraphYCol()

### getCategory

    java.lang.String getCategory()
                                 throws AttributeNotSetException

  Category for the report to be used in the SMS Administrator console to filter the list of reports and to provide, along with the subcategory, a report hierarchy.

  Throws:
    `AttributeNotSetException`

### setCategory

    void setCategory(java.lang.String x)

### hasCategory

    boolean hasCategory()

### getComment

    java.lang.String getComment()
                                throws AttributeNotSetException

  Further description of the report to be displayed on the property page for the report in the SMS Administrator console.

  Throws:
    `AttributeNotSetException`

### setComment

    void setComment(java.lang.String x)

### hasComment

    boolean hasComment()

### getGraphType

    int getGraphType()
                     throws AttributeNotSetException

  If a graph for the report is available, GraphType indicates its type. If no graph is available, the value of GraphType is NULL.

  Throws:
    `AttributeNotSetException`

### setGraphType

    void setGraphType(int x)

### hasGraphType

    boolean hasGraphType()

### getStatusMessageDetailSource

    boolean getStatusMessageDetailSource()
                                         throws AttributeNotSetException

  The source of the message detail.

  Throws:
    `AttributeNotSetException`

### setStatusMessageDetailSource

    void setStatusMessageDetailSource(boolean x)

### hasStatusMessageDetailSource

    boolean hasStatusMessageDetailSource()

### getSQLQuery

    java.lang.String getSQLQuery()
                                 throws AttributeNotSetException

  Text of the SQL query that produces the result set of the report.

  Throws:
    `AttributeNotSetException`

### setSQLQuery

    void setSQLQuery(java.lang.String x)

### hasSQLQuery

    boolean hasSQLQuery()

### getNumPrompts

    int getNumPrompts()
                      throws AttributeNotSetException

  The number of prompts given.

  Throws:
    `AttributeNotSetException`

### setNumPrompts

    void setNumPrompts(int x)

### hasNumPrompts

    boolean hasNumPrompts()

### getSMSHierarchy

    SMSHierarchy getSMSHierarchy()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setSMSHierarchy

    void setSMSHierarchy(SMSHierarchy x)

### hasSMSHierarchy

    boolean hasSMSHierarchy()

### getMachineDetail

    boolean getMachineDetail()
                             throws AttributeNotSetException

  This property value is set to TRUE if this is a computer detail report. A computer detail report has one parameter, which is the Name0 column of the report.

  Throws:
    `AttributeNotSetException`

### setMachineDetail

    void setMachineDetail(boolean x)

### hasMachineDetail

    boolean hasMachineDetail()

### getMachineSource

    boolean getMachineSource()
                             throws AttributeNotSetException

  This property value is set to TRUE if this report drills through to the computer details page. The DrillThroughColumns array should contain a single index representing the Name0 column of the report.

  Throws:
    `AttributeNotSetException`

### setMachineSource

    void setMachineSource(boolean x)

### hasMachineSource

    boolean hasMachineSource()

### getRefreshInternal

    int getRefreshInternal()
                           throws AttributeNotSetException

  Represents the number of seconds (0-60) that should elapse before the report is automatically rerun and the page is refreshed. This should be 0 if the page should not be automatically refreshed.

  Throws:
    `AttributeNotSetException`

### setRefreshInternal

    void setRefreshInternal(int x)

### hasRefreshInternal

    boolean hasRefreshInternal()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Name for the report that will be displayed in the SMS Administrator console and on the report itself.

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String x)

### hasName

    boolean hasName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD